<? if ( count($this->defined_values) ): ?>

<?
	$selected = $this->selected;
	$existing_filters = $this->existing_filters;
	$defined_values = $this->defined_values;
	$is_grey = true;
	
	if ( count($selected) ) {
		$tmp_values = array();
		$is_grey = false;
		
		foreach( $selected AS $k => $sel ) {
			foreach( $defined_values as $dk => $def_value ) {
				if ( $sel == $def_value['value'] ) {
					$tmp_values[] = $defined_values[$dk];
					unset($defined_values[$dk]);
				}
			}
		}
		
		$defined_values = array_merge($tmp_values, $defined_values);
	}
	
	/*foreach( $defined_values as $k => $value ) {
		$key = 'verified_' . strtolower($value['value']);

		if ( ! $existing_filters->$key && !in_array($value['value'], $selected) ) {
			unset($defined_values[$k]);
		}
	}*/
	
	$defined_values = array_values($defined_values);
	
?>
	
	<? if ( count($defined_values) ):?>

	<? if ( $this->is_collapsed ): ?>
		<label><span class="t <?= ($is_grey) ? '' : 'act' ?>" rel="<?= $this->title ?>"><?= $this->title ?></span></label>
	<? elseif( $this->render_full ): ?>
		<div class="popup-filter">
			<p class="title"><?= ( $this->show_title ) ? $this->title : '' ?></p>
			
			<div class="list <?= ($is_grey) ? 'collapsed' : '' ?>" rel="<?= $this->title ?>">
				<? 
					$count = count($defined_values);
					$count = ceil($count / 2) + 1;
				?>
				<? foreach( $defined_values as $k => $value ): ?>
					<?
						$k += 1;
						if ( $k == 1 ) {
							echo '<div class="l">';
						} else if ( $k % $count == 0 && $k != count($defined_values) ) {
							echo '</div><div class="r">';
						}

					?>
					<label><input class="<?= $this->mapper_param->getName() . '_' . $value['value'] ?>" <?= ( in_array($value['value'], $this->selected) ) ? 'checked="checked"' : '' ?> type="checkbox" value="<?= $value['value'] ?>" name="<?= $this->mapper_param->getName() ?>[]" /> <span class="t"><?= $value['title'] ?></span></label>
					<?
						if ( $k == count($defined_values) ) {
							echo '</div>';
						}
					?>
				<? endforeach; ?>		
				<div class="clear"></div>
			</div>
		</div>
	<? else: ?>
		<div class="filter">
			<span class="title <?= ($is_grey) ? 'grey' : '' ?>"><?= $this->title ?></span>

			<div class="list">
				<? foreach( $defined_values as $k => $value ): ?>
				<? if ( $k + 1 > $this->visible_count ) break; ?>
				<label><input class="<?= $this->mapper_param->getName() . '_' . $value['value'] ?>" <?= ( in_array($value['value'], $this->selected) ) ? 'checked="checked"' : '' ?> type="checkbox" value="<?= $value['value'] ?>" name="<?= $this->mapper_param->getName() ?>[]" /> <span <?= ( in_array($value['value'], $this->selected) ) ? '' : 'class="grey"' ?>><?= $value['title'] ?></span><div class="clear"></div></label>
				<? endforeach; ?>
			</div>
			
			<? if ( count($defined_values) > $this->visible_count ): ?>
			<a class="more" id="f_<?= $this->mapper_param->getName() ?>">... <?= Cubix_I18n::translate('more') ?> &raquo;</a>
			<? endif; ?>
		</div>
	<?endif; ?>
		
	<? endif; ?>	

<? endif; ?>